Basker Docs

Update Theme Settings

Update the tenant's theme-level settings (the global settings of the tenant's selected theme). Requires draft set to true and an ifUpdatedAt timestamp. Rate limit: 20 requests per minute per API key.

PATCH
/{version}/{tenant}/theme/settings
Authorization<token>

Use format: users API-Key YOUR_API_KEY

In: header

Path Parameters

version*string

API version

Default"2026-02"
Value in"2026-02"
tenant*string

Tenant slug

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.basker.app/partners/2026-02/string/theme/settings" \  -H "Content-Type: application/json" \  -d '{    "draft": true,    "ifUpdatedAt": "2019-08-24T14:15:22Z"  }'
{
  "versionTarget": "draft",
  "set": [
    "string"
  ],
  "unset": [
    "string"
  ],
  "document": {}
}
{
  "error": "string",
  "message": "string",
  "requestId": "string",
  "errors": [
    {
      "path": "string",
      "message": "string",
      "code": "string"
    }
  ]
}
{
  "error": "string",
  "message": "string",
  "requestId": "string",
  "errors": [
    {
      "path": "string",
      "message": "string",
      "code": "string"
    }
  ]
}
{
  "error": "string",
  "message": "string",
  "requestId": "string",
  "errors": [
    {
      "path": "string",
      "message": "string",
      "code": "string"
    }
  ]
}
{
  "error": "string",
  "message": "string",
  "requestId": "string",
  "errors": [
    {
      "path": "string",
      "message": "string",
      "code": "string"
    }
  ]
}
{
  "error": "Too Many Requests",
  "message": "Rate limit exceeded. Please retry later."
}